Topic
  • 2 replies
  • Latest Post - ‏2013-01-07T18:18:21Z by GreginChicago
GreginChicago
GreginChicago
2 Posts

Pinned topic jextract throws NegativeArraySizeException on AIX 6.1 with JDK 1.5

‏2013-01-07T16:30:10Z |
I'm having trouble jextracting my core file on AIX 6.1 using JDK 1.5

bash-3.2$ /apps/IBM/WebSphere/61/AppServer/java/jre/bin/jextract core.20130107.095517.389476.0001.dmp -J-DXcompressedrefs
Loading dump file...
Read memory image from core.20130107.095517.389476.0001.dmp
java.lang.NegativeArraySizeException
at com.ibm.dtfj.corereaders.NewAixDump.readUserInfo(NewAixDump.java:440)
at com.ibm.dtfj.corereaders.NewAixDump.extract(NewAixDump.java:699)
at com.ibm.jvm.j9.dump.extract.Main.runJextract(Main.java:393)
at com.ibm.jvm.j9.dump.extract.Main.main(Main.java:286)
null
jextract failed.

I suspect my JDK will need to be patched, core re-captured, and run extract again...but I am having trouble finding the right JDK fixpack. Here is my current version:

bash-3.2$ java -version
java version "1.5.0"
Java(TM) 2 Runtime Environment, Standard Edition (build pap64devifx-20090225 (SR9-0 +IZ44410+IZ44495))
IBM J9 VM (build 2.3, J2RE 1.5.0 IBM J9 2.3 AIX ppc64-64 j9vmap6423ifx-20090225 (JIT enabled)
J9VM - 20090224_30451_BHdSMr
JIT - 20081112_1511ifx1_r8
GC - 200811_07)
JCL - 20081129
Any advice would be appreciated!
Updated on 2013-01-07T18:18:21Z at 2013-01-07T18:18:21Z by GreginChicago
  • Ian_Partridge
    Ian_Partridge
    23 Posts

    Re: jextract throws NegativeArraySizeException on AIX 6.1 with JDK 1.5

    ‏2013-01-07T17:50:03Z  
    Hi,

    You've hit IZ88937 [1]. You'll need to upgrade to at least 5.0.0 SR12 and capture a new core file.

    You can grab the latest Java 5 from http://www.ibm.com/developerworks/java/jdk/aix/service.html#java5

    I hope this helps.

    [1] http://www-01.ibm.com/support/docview.wss?uid=swg1IZ88937
  • GreginChicago
    GreginChicago
    2 Posts

    Re: jextract throws NegativeArraySizeException on AIX 6.1 with JDK 1.5

    ‏2013-01-07T18:18:21Z  
    Hi,

    You've hit IZ88937 [1]. You'll need to upgrade to at least 5.0.0 SR12 and capture a new core file.

    You can grab the latest Java 5 from http://www.ibm.com/developerworks/java/jdk/aix/service.html#java5

    I hope this helps.

    [1] http://www-01.ibm.com/support/docview.wss?uid=swg1IZ88937
    Thank you, Ian! I will try this route. I had found fixes for 1.4.2 and 1.6, but not 1.5.